Update a User
curl --request PUT \
--url https://api.siit.io/v1/users/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birthday_date": "2023-12-25",
"city": "<string>",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"department": "<string>",
"legal_entity": "<string>",
"office_location": "<string>",
"report_to": "<string>",
"teams": [
"<string>"
]
}
'import requests
url = "https://api.siit.io/v1/users/{uid}"
payload = {
"birthday_date": "2023-12-25",
"city": "<string>",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"department": "<string>",
"legal_entity": "<string>",
"office_location": "<string>",
"report_to": "<string>",
"teams": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birthday_date: '2023-12-25',
city: '<string>',
country: '<string>',
employee_number: '<string>',
first_name: '<string>',
hire_date: '2023-12-25',
job_leave_date: '2023-12-25',
job_start_date: '2023-12-25',
job_title: '<string>',
last_name: '<string>',
last_working_date: '2023-12-25',
metadata: {},
preferred_language: '<string>',
probation_end_date: '2023-12-25',
work_phone: '<string>',
department: '<string>',
legal_entity: '<string>',
office_location: '<string>',
report_to: '<string>',
teams: ['<string>']
})
};
fetch('https://api.siit.io/v1/users/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"birthday_date": "2023-12-25",
"city": "<string>",
"country": "<string>",
"employee_number": "<string>",
"first_name": "<string>",
"hire_date": "2023-12-25",
"job_leave_date": "2023-12-25",
"job_start_date": "2023-12-25",
"job_title": "<string>",
"last_name": "<string>",
"last_working_date": "2023-12-25",
"metadata": {},
"preferred_language": "<string>",
"probation_end_date": "2023-12-25",
"work_phone": "<string>",
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"department": "<string>",
"department_uid": "<string>",
"emails": [
"<string>"
],
"full_name": "<string>",
"legal_entity": "<string>",
"legal_entity_uid": "<string>",
"microsoft_entra_ids": [
"<string>"
],
"microsoft_entra_group_ids": [
"<string>"
],
"office_location": "<string>",
"office_location_uid": "<string>",
"report_to": "<string>",
"report_to_uid": "<string>",
"slack_user_id": "<string>",
"status": "employee",
"team_uids": [
"<string>"
],
"teams": [
"<string>"
],
"timezone": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}Introduction
Note: fields that are disabled or restricted to the current user will not be returnedUsage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the User
Body
Request body for creating or updating a User. Pass UIDs (not objects) for relationship fields.
date formatted as ISO 8601 (e.g. "2020-12-15")
contract, expat, fulltime, intern, parttime, temporary ISO3166 alpha-2 country code (e.g: "PT")
female, male, non_binary, other, prefer_not_to_disclose date formatted as ISO 8601 (e.g. "2020-12-15")
date formatted as ISO 8601 (e.g. "2020-12-15")
date formatted as ISO 8601 (e.g. "2020-12-15")
date formatted as ISO 8601 (e.g. "2020-12-15")
Arbitrary key/value pairs attached to the User (max 10 keys, string values of at most 255 characters). Passed keys are merged into the existing metadata: absent keys are preserved, passing a key with an empty or null value removes it, and passing metadata as an empty string removes all keys.
Show child attributes
Show child attributes
A language in IETF format (en-US, pt-PT, fr-FR...)
date formatted as ISO 8601 (e.g. "2020-12-15")
The department this user belongs to. Pass the UID of the related object.
The legal entity this user belongs to. Pass the UID of the related object.
The office location of this user. Pass the UID of the related object.
The manager of this user. Pass the UID of the related object.
Teams this user belongs to. Pass an array of UIDs of the related objects.
Response
Successful
Show child attributes
Show child attributes

